package prefuse.action;

import java.awt.geom.Rectangle2D;

import prefuse.Display;
import prefuse.util.display.DisplayLib;

public class ZoomToFitAction extends Action {

	private Display display;
	private Rectangle2D bounds;
	private int duration;
	public ZoomToFitAction (Display d, Rectangle2D b, int dur){
		display = d;
		bounds = b;
		duration = dur;
	}
	public void run(double frac) {
		if (! display.isTranformInProgress()){
			DisplayLib.fitViewToBounds(display,bounds, duration);
		}
	}

}
